Skip to content

List users

GET
/v1/merchants/{merchant_id}/users/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

Response Body

The users of the merchant.

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.example.com/v1/merchants/self/users/' \  --user "$API_KEY:"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created": "2019-08-24T14:15:22Z",    "modified": "2019-08-24T14:15:22Z",    "email": "string",    "status": "inactive",    "legal_name": "string",    "phone_numbers": [      "string"    ],    "locale": "string",    "timezone": "string",    "mfa": {},    "roles": [      "3e67ee41-e431-4abb-a52b-02eab88ad745"    ],    "permissions": {      "property1": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      },      "property2": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      }    },    "field_permissions": {      "property1": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      },      "property2": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      }    },    "last_login": "2019-08-24T14:15:22Z"  }]